create_rgb_table(3)

NAME
create_rgb_table - Generates an RGB mapping table with lookup data for a palette. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void create_rgb_table(RGB_MAP *table, const PALETTE pal, void (*callback)(int pos));

DESCRIPTION
Fills the specified RGB mapping table with lookup data for the specified palette. If the callback function is not NULL, it will be called 256 times during the calculation, allowing you to display a progress indicator. Example:
   RGB_MAP rgb_table;

   create_rgb_table(&rgb_table, palette, NULL);
   rgb_map = &rgb_table;

SEE ALSO
rgb_map(3), ex3d(3), excolmap(3), exrgbhsv(3), exshade(3), extrans(3)